import 'package:boilerplate/core/extensions/date_time_extension.dart';
import 'package:flutter/material.dart';
import 'package:flutter_svg/flutter_svg.dart';

import '../../../../../core/i18n/translations.g.dart';
import '../../../../../core/styles/my_dimensions.dart';
import '../../../../../core/styles/my_font.dart';

class MeetingInfo extends StatelessWidget {
  const MeetingInfo({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Text(
          AppLocalizations.products.meeting_detail,
          style: MyFont.medium20,
        ),
        SizedBox(height: MyDimens.dimen12),
        Row(
          children: [
            SvgPicture.asset(
              'assets/icons/ic_date_meeting.svg',
              width: MyDimens.dimen18,
              height: MyDimens.dimen18,
            ),
            SizedBox(width: MyDimens.dimen12),
            Expanded(
              child: Text(
                '${DateTime.now().toAppFullDateFormat()}',
                style: MyFont.regular16.copyWith(
                  color: Color(0xFF494949),
                ),
              ),
            ),
          ],
        ),
        SizedBox(height: MyDimens.dimen10),
        Row(
          children: [
            SvgPicture.asset(
              'assets/icons/ic_time_meeting.svg',
              width: MyDimens.dimen18,
              height: MyDimens.dimen18,
            ),
            SizedBox(width: MyDimens.dimen12),
            Expanded(
              child: Text(
                '${DateTime.now().toFormat('HH:mm')} - ${DateTime.now().toFormat('HH:mm')}',
                style: MyFont.regular16.copyWith(
                  color: Color(0xFF494949),
                ),
              ),
            ),
          ],
        ),
        SizedBox(height: MyDimens.dimen10),
        Row(
          children: [
            SvgPicture.asset(
              'assets/icons/ic_detail_to_seller_meeting.svg',
              width: MyDimens.dimen18,
              height: MyDimens.dimen18,
            ),
            SizedBox(width: MyDimens.dimen12),
            Expanded(
              child: Text(
                'ต้องการรายละเอียด',
                style: MyFont.regular16.copyWith(
                  color: Color(0xFF494949),
                ),
              ),
            ),
          ],
        ),
        SizedBox(height: MyDimens.dimen8),
        Row(
          children: [
            SizedBox(
              width: MyDimens.dimen18,
              height: MyDimens.dimen18,
            ),
            SizedBox(width: MyDimens.dimen12),
            Expanded(
              child: Text(
                'ข้อความตัวอย่างรายละเอียดถึงผู้ขายพัฒนาออกแบบระบบให้ผู้ซื้อและผู้ขายสามารถตอบรับ เปลี่ยนแปลงวันและเวลานัดหมาย ตามความต้องการของผู้ซื้อและผู้ขาย หรือยกเลิกการนัดหมายผ่านระบบได้',
                style: MyFont.regular16.copyWith(
                  color: Color(0xFF494949),
                ),
              ),
            ),
          ],
        ),
      ],
    );
  }
}
